{
 "cells": [
  {
   "cell_type": "markdown",
   "id": "2e848ca9-c915-4aa2-a7cc-a5654ed06863",
   "metadata": {},
   "source": [
    "# Demonstration of Training and Testing"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "id": "a9506e99-a947-4f69-8355-a3ce696793fa",
   "metadata": {},
   "outputs": [],
   "source": [
    "from main import train, test\n",
    "import pickle"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "id": "de500d9e-40d1-4b6b-900f-96c2ec69e464",
   "metadata": {},
   "outputs": [],
   "source": [
    "data = pickle.load(open(\"data.pkl\", \"rb\"))"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "id": "39ca7791-c844-4231-9f3b-e8ae80fe8103",
   "metadata": {},
   "outputs": [],
   "source": [
    "mud_point = train(data)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "id": "8d8c70ab-d055-418c-b67e-ba5109d989f3",
   "metadata": {},
   "outputs": [],
   "source": [
    "test(mud_point)"
   ]
  }
 ],
 "metadata": {
  "kernelspec": {
   "display_name": "Python 3 (ipykernel)",
   "language": "python",
   "name": "python3"
  },
  "language_info": {
   "codemirror_mode": {
    "name": "ipython",
    "version": 3
   },
   "file_extension": ".py",
   "mimetype": "text/x-python",
   "name": "python",
   "nbconvert_exporter": "python",
   "pygments_lexer": "ipython3",
   "version": "3.9.7"
  }
 },
 "nbformat": 4,
 "nbformat_minor": 5
}
